IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network44.2.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
44.2.78.0- Broadcast address
44.2.79.255- First usable
44.2.78.1- Last usable
44.2.79.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
2C024E00· Integer738348544to738349055 - Reverse DNS zones
78.2.44.in-addr.arpa79.2.44.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00101100.00000010.01001110.00000000 | 44.2.78.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 00101100.00000010.01001110.00000000 | 44.2.78.0 |
| Broadcast | 00101100.00000010.01001111.11111111 | 44.2.79.255 |
Split into smaller subnets
44.2.78.0/23 makes 512 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 44.2.78.0/32 | 44.2.78.0 to 44.2.78.0 | — | 1 |
| 2 | 44.2.78.1/32 | 44.2.78.1 to 44.2.78.1 | — | 1 |
| 3 | 44.2.78.2/32 | 44.2.78.2 to 44.2.78.2 | — | 1 |
| 4 | 44.2.78.3/32 | 44.2.78.3 to 44.2.78.3 | — | 1 |
| 5 | 44.2.78.4/32 | 44.2.78.4 to 44.2.78.4 | — | 1 |
| 6 | 44.2.78.5/32 | 44.2.78.5 to 44.2.78.5 | — | 1 |
| 7 | 44.2.78.6/32 | 44.2.78.6 to 44.2.78.6 | — | 1 |
| 8 | 44.2.78.7/32 | 44.2.78.7 to 44.2.78.7 | — | 1 |
| 9 | 44.2.78.8/32 | 44.2.78.8 to 44.2.78.8 | — | 1 |
| 10 | 44.2.78.9/32 | 44.2.78.9 to 44.2.78.9 | — | 1 |
| 11 | 44.2.78.10/32 | 44.2.78.10 to 44.2.78.10 | — | 1 |
| 12 | 44.2.78.11/32 | 44.2.78.11 to 44.2.78.11 | — | 1 |
| 13 | 44.2.78.12/32 | 44.2.78.12 to 44.2.78.12 | — | 1 |
| 14 | 44.2.78.13/32 | 44.2.78.13 to 44.2.78.13 | — | 1 |
| 15 | 44.2.78.14/32 | 44.2.78.14 to 44.2.78.14 | — | 1 |
| 16 | 44.2.78.15/32 | 44.2.78.15 to 44.2.78.15 | — | 1 |
| 17 | 44.2.78.16/32 | 44.2.78.16 to 44.2.78.16 | — | 1 |
| 18 | 44.2.78.17/32 | 44.2.78.17 to 44.2.78.17 | — | 1 |
| 19 | 44.2.78.18/32 | 44.2.78.18 to 44.2.78.18 | — | 1 |
| 20 | 44.2.78.19/32 | 44.2.78.19 to 44.2.78.19 | — | 1 |
| 21 | 44.2.78.20/32 | 44.2.78.20 to 44.2.78.20 | — | 1 |
| 22 | 44.2.78.21/32 | 44.2.78.21 to 44.2.78.21 | — | 1 |
| 23 | 44.2.78.22/32 | 44.2.78.22 to 44.2.78.22 | — | 1 |
| 24 | 44.2.78.23/32 | 44.2.78.23 to 44.2.78.23 | — | 1 |
| 25 | 44.2.78.24/32 | 44.2.78.24 to 44.2.78.24 | — | 1 |
| 26 | 44.2.78.25/32 | 44.2.78.25 to 44.2.78.25 | — | 1 |
| 27 | 44.2.78.26/32 | 44.2.78.26 to 44.2.78.26 | — | 1 |
| 28 | 44.2.78.27/32 | 44.2.78.27 to 44.2.78.27 | — | 1 |
| 29 | 44.2.78.28/32 | 44.2.78.28 to 44.2.78.28 | — | 1 |
| 30 | 44.2.78.29/32 | 44.2.78.29 to 44.2.78.29 | — | 1 |
| 31 | 44.2.78.30/32 | 44.2.78.30 to 44.2.78.30 | — | 1 |
| 32 | 44.2.78.31/32 | 44.2.78.31 to 44.2.78.31 | — | 1 |
| 33 | 44.2.78.32/32 | 44.2.78.32 to 44.2.78.32 | — | 1 |
| 34 | 44.2.78.33/32 | 44.2.78.33 to 44.2.78.33 | — | 1 |
| 35 | 44.2.78.34/32 | 44.2.78.34 to 44.2.78.34 | — | 1 |
| 36 | 44.2.78.35/32 | 44.2.78.35 to 44.2.78.35 | — | 1 |
| 37 | 44.2.78.36/32 | 44.2.78.36 to 44.2.78.36 | — | 1 |
| 38 | 44.2.78.37/32 | 44.2.78.37 to 44.2.78.37 | — | 1 |
| 39 | 44.2.78.38/32 | 44.2.78.38 to 44.2.78.38 | — | 1 |
| 40 | 44.2.78.39/32 | 44.2.78.39 to 44.2.78.39 | — | 1 |
| 41 | 44.2.78.40/32 | 44.2.78.40 to 44.2.78.40 | — | 1 |
| 42 | 44.2.78.41/32 | 44.2.78.41 to 44.2.78.41 | — | 1 |
| 43 | 44.2.78.42/32 | 44.2.78.42 to 44.2.78.42 | — | 1 |
| 44 | 44.2.78.43/32 | 44.2.78.43 to 44.2.78.43 | — | 1 |
| 45 | 44.2.78.44/32 | 44.2.78.44 to 44.2.78.44 | — | 1 |
| 46 | 44.2.78.45/32 | 44.2.78.45 to 44.2.78.45 | — | 1 |
| 47 | 44.2.78.46/32 | 44.2.78.46 to 44.2.78.46 | — | 1 |
| 48 | 44.2.78.47/32 | 44.2.78.47 to 44.2.78.47 | — | 1 |
| 49 | 44.2.78.48/32 | 44.2.78.48 to 44.2.78.48 | — | 1 |
| 50 | 44.2.78.49/32 | 44.2.78.49 to 44.2.78.49 | — | 1 |
| 51 | 44.2.78.50/32 | 44.2.78.50 to 44.2.78.50 | — | 1 |
| 52 | 44.2.78.51/32 | 44.2.78.51 to 44.2.78.51 | — | 1 |
| 53 | 44.2.78.52/32 | 44.2.78.52 to 44.2.78.52 | — | 1 |
| 54 | 44.2.78.53/32 | 44.2.78.53 to 44.2.78.53 | — | 1 |
| 55 | 44.2.78.54/32 | 44.2.78.54 to 44.2.78.54 | — | 1 |
| 56 | 44.2.78.55/32 | 44.2.78.55 to 44.2.78.55 | — | 1 |
| 57 | 44.2.78.56/32 | 44.2.78.56 to 44.2.78.56 | — | 1 |
| 58 | 44.2.78.57/32 | 44.2.78.57 to 44.2.78.57 | — | 1 |
| 59 | 44.2.78.58/32 | 44.2.78.58 to 44.2.78.58 | — | 1 |
| 60 | 44.2.78.59/32 | 44.2.78.59 to 44.2.78.59 | — | 1 |
| 61 | 44.2.78.60/32 | 44.2.78.60 to 44.2.78.60 | — | 1 |
| 62 | 44.2.78.61/32 | 44.2.78.61 to 44.2.78.61 | — | 1 |
| 63 | 44.2.78.62/32 | 44.2.78.62 to 44.2.78.62 | — | 1 |
| 64 | 44.2.78.63/32 | 44.2.78.63 to 44.2.78.63 | — | 1 |
| 65 | 44.2.78.64/32 | 44.2.78.64 to 44.2.78.64 | — | 1 |
| 66 | 44.2.78.65/32 | 44.2.78.65 to 44.2.78.65 | — | 1 |
| 67 | 44.2.78.66/32 | 44.2.78.66 to 44.2.78.66 | — | 1 |
| 68 | 44.2.78.67/32 | 44.2.78.67 to 44.2.78.67 | — | 1 |
| 69 | 44.2.78.68/32 | 44.2.78.68 to 44.2.78.68 | — | 1 |
| 70 | 44.2.78.69/32 | 44.2.78.69 to 44.2.78.69 | — | 1 |
| 71 | 44.2.78.70/32 | 44.2.78.70 to 44.2.78.70 | — | 1 |
| 72 | 44.2.78.71/32 | 44.2.78.71 to 44.2.78.71 | — | 1 |
| 73 | 44.2.78.72/32 | 44.2.78.72 to 44.2.78.72 | — | 1 |
| 74 | 44.2.78.73/32 | 44.2.78.73 to 44.2.78.73 | — | 1 |
| 75 | 44.2.78.74/32 | 44.2.78.74 to 44.2.78.74 | — | 1 |
| 76 | 44.2.78.75/32 | 44.2.78.75 to 44.2.78.75 | — | 1 |
| 77 | 44.2.78.76/32 | 44.2.78.76 to 44.2.78.76 | — | 1 |
| 78 | 44.2.78.77/32 | 44.2.78.77 to 44.2.78.77 | — | 1 |
| 79 | 44.2.78.78/32 | 44.2.78.78 to 44.2.78.78 | — | 1 |
| 80 | 44.2.78.79/32 | 44.2.78.79 to 44.2.78.79 | — | 1 |
| 81 | 44.2.78.80/32 | 44.2.78.80 to 44.2.78.80 | — | 1 |
| 82 | 44.2.78.81/32 | 44.2.78.81 to 44.2.78.81 | — | 1 |
| 83 | 44.2.78.82/32 | 44.2.78.82 to 44.2.78.82 | — | 1 |
| 84 | 44.2.78.83/32 | 44.2.78.83 to 44.2.78.83 | — | 1 |
| 85 | 44.2.78.84/32 | 44.2.78.84 to 44.2.78.84 | — | 1 |
| 86 | 44.2.78.85/32 | 44.2.78.85 to 44.2.78.85 | — | 1 |
| 87 | 44.2.78.86/32 | 44.2.78.86 to 44.2.78.86 | — | 1 |
| 88 | 44.2.78.87/32 | 44.2.78.87 to 44.2.78.87 | — | 1 |
| 89 | 44.2.78.88/32 | 44.2.78.88 to 44.2.78.88 | — | 1 |
| 90 | 44.2.78.89/32 | 44.2.78.89 to 44.2.78.89 | — | 1 |
| 91 | 44.2.78.90/32 | 44.2.78.90 to 44.2.78.90 | — | 1 |
| 92 | 44.2.78.91/32 | 44.2.78.91 to 44.2.78.91 | — | 1 |
| 93 | 44.2.78.92/32 | 44.2.78.92 to 44.2.78.92 | — | 1 |
| 94 | 44.2.78.93/32 | 44.2.78.93 to 44.2.78.93 | — | 1 |
| 95 | 44.2.78.94/32 | 44.2.78.94 to 44.2.78.94 | — | 1 |
| 96 | 44.2.78.95/32 | 44.2.78.95 to 44.2.78.95 | — | 1 |
| 97 | 44.2.78.96/32 | 44.2.78.96 to 44.2.78.96 | — | 1 |
| 98 | 44.2.78.97/32 | 44.2.78.97 to 44.2.78.97 | — | 1 |
| 99 | 44.2.78.98/32 | 44.2.78.98 to 44.2.78.98 | — | 1 |
| 100 | 44.2.78.99/32 | 44.2.78.99 to 44.2.78.99 | — | 1 |
| 101 | 44.2.78.100/32 | 44.2.78.100 to 44.2.78.100 | — | 1 |
| 102 | 44.2.78.101/32 | 44.2.78.101 to 44.2.78.101 | — | 1 |
| 103 | 44.2.78.102/32 | 44.2.78.102 to 44.2.78.102 | — | 1 |
| 104 | 44.2.78.103/32 | 44.2.78.103 to 44.2.78.103 | — | 1 |
| 105 | 44.2.78.104/32 | 44.2.78.104 to 44.2.78.104 | — | 1 |
| 106 | 44.2.78.105/32 | 44.2.78.105 to 44.2.78.105 | — | 1 |
| 107 | 44.2.78.106/32 | 44.2.78.106 to 44.2.78.106 | — | 1 |
| 108 | 44.2.78.107/32 | 44.2.78.107 to 44.2.78.107 | — | 1 |
| 109 | 44.2.78.108/32 | 44.2.78.108 to 44.2.78.108 | — | 1 |
| 110 | 44.2.78.109/32 | 44.2.78.109 to 44.2.78.109 | — | 1 |
| 111 | 44.2.78.110/32 | 44.2.78.110 to 44.2.78.110 | — | 1 |
| 112 | 44.2.78.111/32 | 44.2.78.111 to 44.2.78.111 | — | 1 |
| 113 | 44.2.78.112/32 | 44.2.78.112 to 44.2.78.112 | — | 1 |
| 114 | 44.2.78.113/32 | 44.2.78.113 to 44.2.78.113 | — | 1 |
| 115 | 44.2.78.114/32 | 44.2.78.114 to 44.2.78.114 | — | 1 |
| 116 | 44.2.78.115/32 | 44.2.78.115 to 44.2.78.115 | — | 1 |
| 117 | 44.2.78.116/32 | 44.2.78.116 to 44.2.78.116 | — | 1 |
| 118 | 44.2.78.117/32 | 44.2.78.117 to 44.2.78.117 | — | 1 |
| 119 | 44.2.78.118/32 | 44.2.78.118 to 44.2.78.118 | — | 1 |
| 120 | 44.2.78.119/32 | 44.2.78.119 to 44.2.78.119 | — | 1 |
| 121 | 44.2.78.120/32 | 44.2.78.120 to 44.2.78.120 | — | 1 |
| 122 | 44.2.78.121/32 | 44.2.78.121 to 44.2.78.121 | — | 1 |
| 123 | 44.2.78.122/32 | 44.2.78.122 to 44.2.78.122 | — | 1 |
| 124 | 44.2.78.123/32 | 44.2.78.123 to 44.2.78.123 | — | 1 |
| 125 | 44.2.78.124/32 | 44.2.78.124 to 44.2.78.124 | — | 1 |
| 126 | 44.2.78.125/32 | 44.2.78.125 to 44.2.78.125 | — | 1 |
| 127 | 44.2.78.126/32 | 44.2.78.126 to 44.2.78.126 | — | 1 |
| 128 | 44.2.78.127/32 | 44.2.78.127 to 44.2.78.127 | — | 1 |
| 129 | 44.2.78.128/32 | 44.2.78.128 to 44.2.78.128 | — | 1 |
| 130 | 44.2.78.129/32 | 44.2.78.129 to 44.2.78.129 | — | 1 |
| 131 | 44.2.78.130/32 | 44.2.78.130 to 44.2.78.130 | — | 1 |
| 132 | 44.2.78.131/32 | 44.2.78.131 to 44.2.78.131 | — | 1 |
| 133 | 44.2.78.132/32 | 44.2.78.132 to 44.2.78.132 | — | 1 |
| 134 | 44.2.78.133/32 | 44.2.78.133 to 44.2.78.133 | — | 1 |
| 135 | 44.2.78.134/32 | 44.2.78.134 to 44.2.78.134 | — | 1 |
| 136 | 44.2.78.135/32 | 44.2.78.135 to 44.2.78.135 | — | 1 |
| 137 | 44.2.78.136/32 | 44.2.78.136 to 44.2.78.136 | — | 1 |
| 138 | 44.2.78.137/32 | 44.2.78.137 to 44.2.78.137 | — | 1 |
| 139 | 44.2.78.138/32 | 44.2.78.138 to 44.2.78.138 | — | 1 |
| 140 | 44.2.78.139/32 | 44.2.78.139 to 44.2.78.139 | — | 1 |
| 141 | 44.2.78.140/32 | 44.2.78.140 to 44.2.78.140 | — | 1 |
| 142 | 44.2.78.141/32 | 44.2.78.141 to 44.2.78.141 | — | 1 |
| 143 | 44.2.78.142/32 | 44.2.78.142 to 44.2.78.142 | — | 1 |
| 144 | 44.2.78.143/32 | 44.2.78.143 to 44.2.78.143 | — | 1 |
| 145 | 44.2.78.144/32 | 44.2.78.144 to 44.2.78.144 | — | 1 |
| 146 | 44.2.78.145/32 | 44.2.78.145 to 44.2.78.145 | — | 1 |
| 147 | 44.2.78.146/32 | 44.2.78.146 to 44.2.78.146 | — | 1 |
| 148 | 44.2.78.147/32 | 44.2.78.147 to 44.2.78.147 | — | 1 |
| 149 | 44.2.78.148/32 | 44.2.78.148 to 44.2.78.148 | — | 1 |
| 150 | 44.2.78.149/32 | 44.2.78.149 to 44.2.78.149 | — | 1 |
| 151 | 44.2.78.150/32 | 44.2.78.150 to 44.2.78.150 | — | 1 |
| 152 | 44.2.78.151/32 | 44.2.78.151 to 44.2.78.151 | — | 1 |
| 153 | 44.2.78.152/32 | 44.2.78.152 to 44.2.78.152 | — | 1 |
| 154 | 44.2.78.153/32 | 44.2.78.153 to 44.2.78.153 | — | 1 |
| 155 | 44.2.78.154/32 | 44.2.78.154 to 44.2.78.154 | — | 1 |
| 156 | 44.2.78.155/32 | 44.2.78.155 to 44.2.78.155 | — | 1 |
| 157 | 44.2.78.156/32 | 44.2.78.156 to 44.2.78.156 | — | 1 |
| 158 | 44.2.78.157/32 | 44.2.78.157 to 44.2.78.157 | — | 1 |
| 159 | 44.2.78.158/32 | 44.2.78.158 to 44.2.78.158 | — | 1 |
| 160 | 44.2.78.159/32 | 44.2.78.159 to 44.2.78.159 | — | 1 |
| 161 | 44.2.78.160/32 | 44.2.78.160 to 44.2.78.160 | — | 1 |
| 162 | 44.2.78.161/32 | 44.2.78.161 to 44.2.78.161 | — | 1 |
| 163 | 44.2.78.162/32 | 44.2.78.162 to 44.2.78.162 | — | 1 |
| 164 | 44.2.78.163/32 | 44.2.78.163 to 44.2.78.163 | — | 1 |
| 165 | 44.2.78.164/32 | 44.2.78.164 to 44.2.78.164 | — | 1 |
| 166 | 44.2.78.165/32 | 44.2.78.165 to 44.2.78.165 | — | 1 |
| 167 | 44.2.78.166/32 | 44.2.78.166 to 44.2.78.166 | — | 1 |
| 168 | 44.2.78.167/32 | 44.2.78.167 to 44.2.78.167 | — | 1 |
| 169 | 44.2.78.168/32 | 44.2.78.168 to 44.2.78.168 | — | 1 |
| 170 | 44.2.78.169/32 | 44.2.78.169 to 44.2.78.169 | — | 1 |
| 171 | 44.2.78.170/32 | 44.2.78.170 to 44.2.78.170 | — | 1 |
| 172 | 44.2.78.171/32 | 44.2.78.171 to 44.2.78.171 | — | 1 |
| 173 | 44.2.78.172/32 | 44.2.78.172 to 44.2.78.172 | — | 1 |
| 174 | 44.2.78.173/32 | 44.2.78.173 to 44.2.78.173 | — | 1 |
| 175 | 44.2.78.174/32 | 44.2.78.174 to 44.2.78.174 | — | 1 |
| 176 | 44.2.78.175/32 | 44.2.78.175 to 44.2.78.175 | — | 1 |
| 177 | 44.2.78.176/32 | 44.2.78.176 to 44.2.78.176 | — | 1 |
| 178 | 44.2.78.177/32 | 44.2.78.177 to 44.2.78.177 | — | 1 |
| 179 | 44.2.78.178/32 | 44.2.78.178 to 44.2.78.178 | — | 1 |
| 180 | 44.2.78.179/32 | 44.2.78.179 to 44.2.78.179 | — | 1 |
| 181 | 44.2.78.180/32 | 44.2.78.180 to 44.2.78.180 | — | 1 |
| 182 | 44.2.78.181/32 | 44.2.78.181 to 44.2.78.181 | — | 1 |
| 183 | 44.2.78.182/32 | 44.2.78.182 to 44.2.78.182 | — | 1 |
| 184 | 44.2.78.183/32 | 44.2.78.183 to 44.2.78.183 | — | 1 |
| 185 | 44.2.78.184/32 | 44.2.78.184 to 44.2.78.184 | — | 1 |
| 186 | 44.2.78.185/32 | 44.2.78.185 to 44.2.78.185 | — | 1 |
| 187 | 44.2.78.186/32 | 44.2.78.186 to 44.2.78.186 | — | 1 |
| 188 | 44.2.78.187/32 | 44.2.78.187 to 44.2.78.187 | — | 1 |
| 189 | 44.2.78.188/32 | 44.2.78.188 to 44.2.78.188 | — | 1 |
| 190 | 44.2.78.189/32 | 44.2.78.189 to 44.2.78.189 | — | 1 |
| 191 | 44.2.78.190/32 | 44.2.78.190 to 44.2.78.190 | — | 1 |
| 192 | 44.2.78.191/32 | 44.2.78.191 to 44.2.78.191 | — | 1 |
| 193 | 44.2.78.192/32 | 44.2.78.192 to 44.2.78.192 | — | 1 |
| 194 | 44.2.78.193/32 | 44.2.78.193 to 44.2.78.193 | — | 1 |
| 195 | 44.2.78.194/32 | 44.2.78.194 to 44.2.78.194 | — | 1 |
| 196 | 44.2.78.195/32 | 44.2.78.195 to 44.2.78.195 | — | 1 |
| 197 | 44.2.78.196/32 | 44.2.78.196 to 44.2.78.196 | — | 1 |
| 198 | 44.2.78.197/32 | 44.2.78.197 to 44.2.78.197 | — | 1 |
| 199 | 44.2.78.198/32 | 44.2.78.198 to 44.2.78.198 | — | 1 |
| 200 | 44.2.78.199/32 | 44.2.78.199 to 44.2.78.199 | — | 1 |
| 201 | 44.2.78.200/32 | 44.2.78.200 to 44.2.78.200 | — | 1 |
| 202 | 44.2.78.201/32 | 44.2.78.201 to 44.2.78.201 | — | 1 |
| 203 | 44.2.78.202/32 | 44.2.78.202 to 44.2.78.202 | — | 1 |
| 204 | 44.2.78.203/32 | 44.2.78.203 to 44.2.78.203 | — | 1 |
| 205 | 44.2.78.204/32 | 44.2.78.204 to 44.2.78.204 | — | 1 |
| 206 | 44.2.78.205/32 | 44.2.78.205 to 44.2.78.205 | — | 1 |
| 207 | 44.2.78.206/32 | 44.2.78.206 to 44.2.78.206 | — | 1 |
| 208 | 44.2.78.207/32 | 44.2.78.207 to 44.2.78.207 | — | 1 |
| 209 | 44.2.78.208/32 | 44.2.78.208 to 44.2.78.208 | — | 1 |
| 210 | 44.2.78.209/32 | 44.2.78.209 to 44.2.78.209 | — | 1 |
| 211 | 44.2.78.210/32 | 44.2.78.210 to 44.2.78.210 | — | 1 |
| 212 | 44.2.78.211/32 | 44.2.78.211 to 44.2.78.211 | — | 1 |
| 213 | 44.2.78.212/32 | 44.2.78.212 to 44.2.78.212 | — | 1 |
| 214 | 44.2.78.213/32 | 44.2.78.213 to 44.2.78.213 | — | 1 |
| 215 | 44.2.78.214/32 | 44.2.78.214 to 44.2.78.214 | — | 1 |
| 216 | 44.2.78.215/32 | 44.2.78.215 to 44.2.78.215 | — | 1 |
| 217 | 44.2.78.216/32 | 44.2.78.216 to 44.2.78.216 | — | 1 |
| 218 | 44.2.78.217/32 | 44.2.78.217 to 44.2.78.217 | — | 1 |
| 219 | 44.2.78.218/32 | 44.2.78.218 to 44.2.78.218 | — | 1 |
| 220 | 44.2.78.219/32 | 44.2.78.219 to 44.2.78.219 | — | 1 |
| 221 | 44.2.78.220/32 | 44.2.78.220 to 44.2.78.220 | — | 1 |
| 222 | 44.2.78.221/32 | 44.2.78.221 to 44.2.78.221 | — | 1 |
| 223 | 44.2.78.222/32 | 44.2.78.222 to 44.2.78.222 | — | 1 |
| 224 | 44.2.78.223/32 | 44.2.78.223 to 44.2.78.223 | — | 1 |
| 225 | 44.2.78.224/32 | 44.2.78.224 to 44.2.78.224 | — | 1 |
| 226 | 44.2.78.225/32 | 44.2.78.225 to 44.2.78.225 | — | 1 |
| 227 | 44.2.78.226/32 | 44.2.78.226 to 44.2.78.226 | — | 1 |
| 228 | 44.2.78.227/32 | 44.2.78.227 to 44.2.78.227 | — | 1 |
| 229 | 44.2.78.228/32 | 44.2.78.228 to 44.2.78.228 | — | 1 |
| 230 | 44.2.78.229/32 | 44.2.78.229 to 44.2.78.229 | — | 1 |
| 231 | 44.2.78.230/32 | 44.2.78.230 to 44.2.78.230 | — | 1 |
| 232 | 44.2.78.231/32 | 44.2.78.231 to 44.2.78.231 | — | 1 |
| 233 | 44.2.78.232/32 | 44.2.78.232 to 44.2.78.232 | — | 1 |
| 234 | 44.2.78.233/32 | 44.2.78.233 to 44.2.78.233 | — | 1 |
| 235 | 44.2.78.234/32 | 44.2.78.234 to 44.2.78.234 | — | 1 |
| 236 | 44.2.78.235/32 | 44.2.78.235 to 44.2.78.235 | — | 1 |
| 237 | 44.2.78.236/32 | 44.2.78.236 to 44.2.78.236 | — | 1 |
| 238 | 44.2.78.237/32 | 44.2.78.237 to 44.2.78.237 | — | 1 |
| 239 | 44.2.78.238/32 | 44.2.78.238 to 44.2.78.238 | — | 1 |
| 240 | 44.2.78.239/32 | 44.2.78.239 to 44.2.78.239 | — | 1 |
| 241 | 44.2.78.240/32 | 44.2.78.240 to 44.2.78.240 | — | 1 |
| 242 | 44.2.78.241/32 | 44.2.78.241 to 44.2.78.241 | — | 1 |
| 243 | 44.2.78.242/32 | 44.2.78.242 to 44.2.78.242 | — | 1 |
| 244 | 44.2.78.243/32 | 44.2.78.243 to 44.2.78.243 | — | 1 |
| 245 | 44.2.78.244/32 | 44.2.78.244 to 44.2.78.244 | — | 1 |
| 246 | 44.2.78.245/32 | 44.2.78.245 to 44.2.78.245 | — | 1 |
| 247 | 44.2.78.246/32 | 44.2.78.246 to 44.2.78.246 | — | 1 |
| 248 | 44.2.78.247/32 | 44.2.78.247 to 44.2.78.247 | — | 1 |
| 249 | 44.2.78.248/32 | 44.2.78.248 to 44.2.78.248 | — | 1 |
| 250 | 44.2.78.249/32 | 44.2.78.249 to 44.2.78.249 | — | 1 |
| 251 | 44.2.78.250/32 | 44.2.78.250 to 44.2.78.250 | — | 1 |
| 252 | 44.2.78.251/32 | 44.2.78.251 to 44.2.78.251 | — | 1 |
| 253 | 44.2.78.252/32 | 44.2.78.252 to 44.2.78.252 | — | 1 |
| 254 | 44.2.78.253/32 | 44.2.78.253 to 44.2.78.253 | — | 1 |
| 255 | 44.2.78.254/32 | 44.2.78.254 to 44.2.78.254 | — | 1 |
| 256 | 44.2.78.255/32 | 44.2.78.255 to 44.2.78.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |